Web lists-archives.com

Re: Building KDE (phonon-vlc) fails




On Monday, December 10, 2018 12:29:54 AM CET Michael Pyne wrote:
> On Sun, Dec 09, 2018 at 10:18:42AM +0100, Frederik Schwarzer wrote:
> > Hi,
> > 
> > please forgive my ignorance. It has been ages since I last built KDE from
> > sources.
> > 
> > Using kdesrc-build, the phonon-vlc package fails on cmake with the
> > following> 
> > error:
> >     -- Checking for module 'libvlc'
> >     --   Found libvlc, version 3.0.4
> >     
> >     CMake Error at cmake/FindLIBVLC.cmake:106 (message):
> >       Could not find LibVLC
> > 
> > Found, but not found? Maybe it is looking for a different version?
> > 
> > libvlc-dev is installed on Kubuntu 18.04.
> > 
> > Any idea on what I am missing here?
> 
> Perhaps you need a package libvlccore-dev or similar? The FindLIBVLC in
> phonon-vlc checks for both libvlc and for libvlccore but only gives the
> one error message if either one is missing.

Thank you for your answer. I read the FindLIBVLC file and found three checks.

The one for the header file:
    # find / -iname vlc.h
    /usr/include/vlc/vlc.h

The one for libvlc:
    # find / -iname libvlc.*
    /usr/lib/x86_64-linux-gnu/libvlc.so.5.6.0
    /usr/lib/x86_64-linux-gnu/libvlc.so
    /usr/lib/x86_64-linux-gnu/libvlc.so.5

And the one for libvlccore:
    # find / -iname libvlccore.*
    /usr/lib/x86_64-linux-gnu/libvlccore.so.9
    /usr/lib/x86_64-linux-gnu/libvlccore.so.9.0.0

These looked fine to my untrained eyes at first but the missing libvlccore.so 
(without the version number) made me think so I looked it up and indeed, the 
package libvlccore-dev was missing.

After installing it, phonon-vlc built fine.

Thanks for the pointer. :)

Cheers
Frederik